---
- name: Raw init
  include_tasks: _raw_init.yml
  tags: always

- name: "Gather facts"
  setup:
  tags: always

- name: Sanity checks
  include_tasks: _sanity.yml

- name: Load distro-specific vars
  include_vars: "{{ _current_os_vars }}"
  with_first_found:
    - skip: true
      files: "{{ __glxclans_role_vars_precedence }}"
  loop_control:
    loop_var: _current_os_vars
  tags: always

- name: Execute os-specific tasks
  include_tasks: "{{ _current_os_tasks }}"
  with_first_found:
    - skip: true
      files: "{{ __glxclans_role_tasks_precedence }}"
  loop_control:
    loop_var: _current_os_tasks
  tags: always

- name: Generate ansible configuration
  include_tasks:
    file: _genconfig.yml
    apply:
      tags: genconfig
  tags: genconfig
  when: glxclans_host_genconfig

- name: Flush before leaving
  meta: flush_handlers

